<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDptTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('dpts', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('tps_id');
            $table->string('nama_lengkap');
            $table->string('nik')->unique()->nullable();
            $table->unsignedBigInteger('user_id');
            $table->string('e_ktp')->nullable();
            $table->text('alamat')->nullable();
            $table->integer('usia')->nullable();
            // $table->string('no_telepon')->nullable();
            $table->string('rt')->nullable();
            // $table->string('rw')->nullable();
            $table->string('jenis_kelamin')->nullable();
            $table->text('keterangan')->nullable();
            // $table->string('agama')->nullable();
            // $table->string('kawin')->nullable();
            // $table->string('pekerjaan')->nullable();
            $table->string('tempat_lahirs')->nullable();
            $table->string('tanggal_lahirs')->nullable();
            // $table->string('nama_penghubung');
            // $table->string('no_telp_penghubung');
            $table->timestamps();

            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
            $table->foreign('tps_id')->references('id')->on('tps')->onDelete('cascade');
            // $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('dpt');
    }
}
