@extends('layouts.app')

@section('content')
    <div class="row">
        <div class="col-lg-3 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-blue">
                <div class="inner">
                    <h3 id="kabupaten">{{ Helper::jumlahKabupaten() }}</h3>

                    <p>Kabupaten</p>
                </div>
                <div class="icon">
                    <i class="ion ion-stats-bars"></i>
                </div>
                @if (Auth::user()->role == 1)
                    <a href="{{ url('kabupaten') }}" class="small-box-footer">More info <i
                            class="fa fa-arrow-circle-right"></i></a>
                @endif
            </div>
        </div>
        <div class="col-lg-3 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-aqua">
                <div class="inner">
                    <h3 id="kecamatan">{{ Helper::jumlahKecamatan() }}</h3>

                    <p>Kecamatan</p>
                </div>
                <div class="icon">
                    <i class="ion ion-stats-bars"></i>
                </div>
                @if (Auth::user()->role == 1)
                    <a href="{{ url('kecamatan') }}" class="small-box-footer">More info <i
                            class="fa fa-arrow-circle-right"></i></a>
                @endif
            </div>
        </div>
        <!-- ./col -->
        <div class="col-lg-3 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-green">
                <div class="inner">
                    <h3 id="kelurahan">{{ Helper::jumlahKelurahan() }}</h3>

                    <p>Kelurahan</p>
                </div>
                <div class="icon">
                    <i class="ion ion-stats-bars"></i>
                </div>
                @if (Auth::user()->role == 1)
                    <a href="{{ url('kelurahan') }}" class="small-box-footer">More info <i
                            class="fa fa-arrow-circle-right"></i></a>
                @endif
            </div>
        </div>

        <div class="col-lg-3 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-red">
                <div class="inner">
                    <h3 id="user">{{ Helper::jumlahUser() }}</h3>

                    <p>User</p>
                </div>
                <div class="icon">
                    <i class="fa fa-user"></i>
                </div>
                @if (Auth::user()->role == 1)
                    <a href="{{ url('user') }}" class="small-box-footer">More info <i
                            class="fa fa-arrow-circle-right"></i></a>
                @endif
            </div>
        </div>
        <!-- ./col -->
    </div>
    <div class="row">
        <!-- ./col -->

        <div class="col-lg-3 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-yellow">
                <div class="inner">
                    <h3 id="DptBelumTerdaftar">{{ Helper::jumlahDPTBelumTerdaftar() }}</h3>

                    <p>Total DPT belum terdaftar</p>
                </div>
                <div class="icon">
                    <i class="fa fa-users"></i>
                </div>
                @if (Auth::user()->role == 1)
                    <a href="{{ url('dpt?status=1') }}" class="small-box-footer">More info <i
                            class="fa fa-arrow-circle-right"></i></a>
                @endif
            </div>
        </div>

        <!-- ./col -->

        <div class="col-lg-3 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-orange">
                <div class="inner">
                    <h3 id="datawarga">{{ Helper::jumlahWarga() }}</h3>

                    <p>Total Data Warga</p>
                </div>
                <div class="icon">
                    <i class="fa fa-users"></i>
                </div>
                @if (Auth::user()->role == 1)
                    <a href="{{ url('data-warga') }}" class="small-box-footer">More info <i
                            class="fa fa-arrow-circle-right"></i></a>
                @endif
            </div>
        </div>
        <!-- ./col -->
        <!-- ./col -->

        <div class="col-lg-3 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-yellow">
                <div class="inner">
                    <h3 id="surduk_masuk">{{ Helper::surdukMasuk() }}</h3>
                    {{-- <h3>0</h3> --}}
                    <p>Data Surduk Masuk</p>
                </div>
                <div class="icon">
                    <i class="fa fa-file-o"></i>
                </div>
                @if (Auth::user()->role == 1)
                    <a href="{{ url('') }}" class="small-box-footer">More info <i
                            class="fa fa-arrow-circle-right"></i></a>
                @endif
            </div>
        </div>

        <!-- ./col -->

        <div class="col-lg-3 col-xs-6">
            <!-- small box -->
            <div class="small-box bg-orange">
                <div class="inner">
                    <h3 id="surduk_keluar">{{ Helper::surdukKeluar() }}</h3>
                    {{-- <h3>0</h3> --}}
                    <p>Data Surduk Keluar</p>
                </div>
                <div class="icon">
                    <i class="fa fa-file-o"></i>
                </div>
                @if (Auth::user()->role == 1)
                    <a href="{{ url('') }}" class="small-box-footer">More info <i
                            class="fa fa-arrow-circle-right"></i></a>
                @endif
            </div>
        </div>
        <!-- ./col -->
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title">Data Warga Perhari</h3>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>

                    </div>
                </div>
                <div class="box-body chart-responsive">
                    <div class="chart" id="revenue-chart" style="height: 300px;"></div>
                </div>
                <!-- /.box-body -->
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title">Data Warga Per Kabupaten <strong>Total : <span
                                id="kabupaten-total">{{ Helper::grafikPie('kabupaten')['total'] }}</span></strong></h3>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>

                    </div>
                </div>
                <div class="box-body chart-responsive">
                    <canvas id="grafik-per-kabupaten" height="250px"></canvas>

                </div>
                <!-- /.box-body -->
            </div>
        </div>

    </div>


    <div class="row">
        <div class="col-md-12">
            <div class="box box-primary">
                <div class="box-header with-border">
                    <div class="row">
                        <div class="col-md-3">
                            <h3 class="box-title">Data Warga Per Kecamatan di Kabupaten : </h3>
                        </div>
                        <div class="col-md-3">
                            <select class="form-control select2" id="kabupaten_id" name="kabupaten_id"
                                onchange="updateGrafikKecamatan(this.value)">
                                <option value="0">Semua</option>
                                @foreach ($kabupatens as $key => $kabupaten)
                                    <option value="{{ $key }}">{{ $kabupaten }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-md-3">
                            <strong>Total : <span
                                    id="kecamatan-total">{{ Helper::grafikPie('kecamatan')['total'] }}</span></strong>
                        </div>
                    </div>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i
                                class="fa fa-minus"></i>
                        </button>

                    </div>
                </div>
                <div class="box-body chart-responsive">
                    <canvas id="grafik-per-kecamatan" height="250px"></canvas>

                </div>
                <!-- /.box-body -->
            </div>
        </div>

    </div>

    <div class="row">


        <div class="col-md-12">
            <div class="box box-primary">
                <div class="box-header with-border">
                    <div class="row">
                        <div class="col-md-3">
                            <h3 class="box-title">Data Warga Per Kelurahan di Kecamatan : </h3>
                        </div>
                        <div class="col-md-3">
                            <select class="form-control select2" id="kecamatan_id" name="kecamatan_id"
                                onchange="updateGrafikKelurahan(this.value)">
                                <option value="0">Semua</option>
                                @foreach ($kecamatans as $key => $kecamatan)
                                    <option value="{{ $key }}">{{ $kecamatan }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-md-3">
                            <strong>Total : <span
                                    id="kelurahan-total">{{ Helper::grafikPie('kelurahan')['total'] }}</span></strong>
                        </div>
                    </div>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i
                                class="fa fa-minus"></i>
                        </button>

                    </div>
                </div>
                <div class="box-body chart-responsive">
                    <canvas id="grafik-per-kelurahan" height="250px"></canvas>

                </div>
                <!-- /.box-body -->
            </div>
        </div>
    </div>

    <div class="row">


        <div class="col-md-12">
            <div class="box box-primary">
                <div class="box-header with-border">
                    <div class="row">
                        <div class="col-md-3">
                            <h3 class="box-title">Data Warga Per RT di kelurahan : </h3>
                        </div>
                        <div class="col-md-3">
                            <select class="form-control select2" id="kelurahan_id" name="kelurahan_id"
                                onchange="updateGrafikRt(this.value)">
                                <option value="0">Semua</option>
                                @foreach ($kelurahans as $key => $kelurahan)
                                    <option value="{{ $key }}">{{ $kelurahan }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-md-3">
                            <strong>Total : <span id="rt-total">{{ Helper::grafikPie('rt')['total'] }}</span></strong>
                        </div>
                    </div>


                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i
                                class="fa fa-minus"></i>
                        </button>

                    </div>
                </div>
                <div class="box-body chart-responsive">
                    <canvas id="grafik-per-rt" height="250px"></canvas>

                </div>
                <!-- /.box-body -->
            </div>
        </div>
    </div>
@endsection

@push('scripts')
    <script type="text/javascript">
        function isMobile() {
            return window.innerWidth <= 768; // Adjust this value according to your design
        }


        setTimeout(function() {
            if ($("#grafik-per-kabupaten").length) {
                var kab = new Chart(document.getElementById("grafik-per-kabupaten"), {
                    type: 'bar',
                    data: {
                        labels: <?php echo json_encode(Helper::grafikPie('kabupaten')['label']); ?>,
                        datasets: [{
                            label: "Jumlah Warga",
                            backgroundColor: <?php echo json_encode(Helper::grafikPie('kabupaten')['color']); ?>,
                            data: <?php echo json_encode(Helper::grafikPie('kabupaten')['data']); ?>
                        }]
                    },
                    options: {
                        responsive: true,
                        // maintainAspectRatio: false,
                        legend: {
                            position: 'right'
                        },
                        plugins: {
                            labels: {
                                // render 'label', 'value', 'percentage', 'image' or custom function, default is 'percentage'
                                render: 'value',
                                fontColor: 'white',
                                shadowColor: 'rgba(255,0,0,0.75)',

                            }
                        }
                    }
                });
            }

            if ($("#grafik-per-kecamatan").length) {
                var kec = new Chart(document.getElementById("grafik-per-kecamatan"), {
                    type: 'bar',
                    data: {
                        labels: <?php echo json_encode(Helper::grafikPie('kecamatan')['label']); ?>,
                        datasets: [{
                            label: "Jumlah Warga",
                            backgroundColor: <?php echo json_encode(Helper::grafikPie('kecamatan')['color']); ?>,
                            data: <?php echo json_encode(Helper::grafikPie('kecamatan')['data']); ?>
                        }]
                    },
                    options: {
                        legend: {
                            position: 'right'
                        },
                        plugins: {
                            labels: {
                                // render 'label', 'value', 'percentage', 'image' or custom function, default is 'percentage'
                                render: 'value',
                                fontColor: 'white',
                                shadowColor: 'rgba(255,0,0,0.75)',

                            }
                        }
                    }
                });
            }

            if ($("#grafik-per-kelurahan").length) {
                var kel = new Chart(document.getElementById("grafik-per-kelurahan"), {
                    type: 'bar',
                    data: {
                        labels: <?php echo json_encode(Helper::grafikPie('kelurahan')['label']); ?>,
                        datasets: [{
                            label: "Jumlah Warga",
                            backgroundColor: <?php echo json_encode(Helper::grafikPie('kelurahan')['color']); ?>,
                            data: <?php echo json_encode(Helper::grafikPie('kelurahan')['data']); ?>
                        }]
                    },
                    options: {
                        legend: {
                            position: 'right'
                        },
                        plugins: {
                            labels: {
                                // render 'label', 'value', 'percentage', 'image' or custom function, default is 'percentage'
                                render: 'value',
                                fontColor: 'white',
                                shadowColor: 'rgba(255,10,10,1)',

                            }
                        }
                    }
                });
            }

            if ($("#grafik-per-rt").length) {
                var rt = new Chart(document.getElementById("grafik-per-rt"), {
                    type: 'bar',
                    data: {
                        labels: <?php echo json_encode(Helper::grafikPie('rt')['label']); ?>,
                        datasets: [{
                            label: "Jumlah Warga",
                            backgroundColor: <?php echo json_encode(Helper::grafikPie('rt')['color']); ?>,
                            data: <?php echo json_encode(Helper::grafikPie('rt')['data']); ?>
                        }]
                    },
                    options: {
                        legend: {
                            position: 'right'
                        },
                        plugins: {
                            labels: {
                                // render 'label', 'value', 'percentage', 'image' or custom function, default is 'percentage'
                                render: 'value',
                                fontColor: 'white',
                                shadowColor: 'rgba(255,10,10,1)',

                            }
                        }
                    }
                });
            }


            function toggleLegend() {
                if (isMobile()) {
                    kab.options.legend.display = false;
                    kec.options.legend.display = false;
                    kel.options.legend.display = false;
                    rt.options.legend.display = false;
                } else {
                    kab.options.legend.display = true;
                    kec.options.legend.display = true;
                    kel.options.legend.display = true;
                    rt.options.legend.display = true;
                }
                kab.update();
                kec.update();
                kel.update();
                rt.update();
            }

            // Initially toggle legend based on screen size
            toggleLegend();

            // Add resize event listener to toggle legend on window resize
            window.addEventListener('resize', toggleLegend);
        }, 3000);

        function updateGrafikRt(idnya) {
            $.ajax({
                    url: '{{ url('api/chart/get/pie-rt') }}/' + idnya,
                    type: 'GET',
                    success(res) {
                        console.log(res);
                        rt.data = {
                            labels: res.label,
                            datasets: [{
                                label: "Jumlah Warga",
                                backgroundColor: res.color,
                                data: res.data
                            }],

                        };
                        rt.update();
                        $("#rt-total").html(res.total);
                    }
                })
                .done(function() {
                    console.log("success");
                })
                .fail(function() {
                    console.log("error");
                })
                .always(function() {
                    console.log("complete");
                });

        }

        function updateGrafikKelurahan(idnya) {
            $.ajax({
                    url: '{{ url('api/chart/get/pie-kelurahan') }}/' + idnya,
                    type: 'GET',
                    success(res) {
                        console.log(res);
                        kel.data = {
                            labels: res.label,
                            datasets: [{
                                label: "Jumlah Warga",
                                backgroundColor: res.color,
                                data: res.data
                            }],

                        };
                        kel.update();
                        $("#kelurahan-total").html(res.total);
                    }
                })
                .done(function() {
                    console.log("success");
                })
                .fail(function() {
                    console.log("error");
                })
                .always(function() {
                    console.log("complete");
                });

        }


        function updateGrafikKecamatan(idnya) {
            $.ajax({
                    url: '{{ url('api/chart/get/pie-kecamatan') }}/' + idnya,
                    type: 'GET',
                    success(res) {
                        console.log(res);
                        kec.data = {
                            labels: res.label,
                            datasets: [{
                                label: "Jumlah Warga",
                                backgroundColor: res.color,
                                data: res.data
                            }],

                        };
                        kec.update();
                        $("#kecamatan-total").html(res.total);
                    }
                })
                .done(function() {
                    console.log("success");
                })
                .fail(function() {
                    console.log("error");
                })
                .always(function() {
                    console.log("complete");
                });

        }
        $(function() {
            //Initialize Select2 Elements
            $('.select2').select2();
            if ($("#revenue-chart").length) {
                var arr = new Array();

                $.ajax({
                    url: '{{ url('api/chart/get/7') }}',
                    type: 'GET',
                    success(res) {
                        // console.log(res);
                        $.each(res, function(index, val) {
                            arr.push({
                                tanggal: val.tanggal,
                                data: val.data
                            });
                        });
                        // console.log(arr);
                        var area = new Morris.Area({
                            element: 'revenue-chart',
                            resize: true,
                            data: arr,
                            xkey: 'tanggal',
                            ykeys: ['data'],
                            labels: ['Data Warga'],
                            lineColors: ['#a0d0e0'],
                            hideHover: 'auto'
                        });
                    }
                });


            }
        });

        setInterval(function() {
            console.clear();
            $.ajax({
                url: '{{ url('RefreshHomePage') }}',
                type: 'GET',
                success(data) {
                    // console.log(data);
                    $('#kabupaten').text(data.kabupaten);
                    $('#kabupaten-total').text(data.kabupaten_total);

                    $('#kecamatan').text(data.kecamatan);
                    $('#kecamatan-total').text(data.kecamatan_total);

                    $('#kelurahan').text(data.kelurahans);
                    $('#kelurahan-total').text(data.kelurahan_total);

                    $('#rt-total').text(data.rt_total);

                    $('#DptBelumTerdaftar').text(data.dptBelumTerdaftar);
                    $('#datawarga').text(data.datawarga);
                    $('#user').text(data.user);

                    $('#surduk_keluar').text(data.surdukKeluar);
                    $('#surduk_masuk').text(data.surdukMasuk);

                    kab.data = {
                        labels: data.kabupaten_label,
                        datasets: [{
                            label: "Jumlah Warga",
                            backgroundColor: data.kabupaten_color,
                            data: data.kabupaten_data
                        }],

                    };
                    kab.update();

                    kec.data = {
                        labels: data.kecamatan_label,
                        datasets: [{
                            label: "Jumlah Warga",
                            backgroundColor: data.kecamatan_color,
                            data: data.kecamatan_data
                        }],

                    };
                    kec.update();

                    kel.data = {
                        labels: data.kelurahan_label,
                        datasets: [{
                            label: "Jumlah Warga",
                            backgroundColor: data.kelurahan_color,
                            data: data.kelurahan_data
                        }],

                    };
                    kel.update();

                    rt.data = {
                        labels: data.rt_label,
                        datasets: [{
                            label: "Jumlah Warga",
                            backgroundColor: data.rt_color,
                            data: data.rt_data
                        }],

                    };
                    rt.update();

                    area = new Morris.Area({
                        element: 'revenue-chart',
                        resize: true,
                        data: data.weekOfdays,
                        xkey: 'tanggal',
                        ykeys: ['data'],
                        labels: ['Data Warga'],
                        lineColors: ['#a0d0e0'],
                        hideHover: 'auto'
                    });
                }
            });
        }, 60000);

        // window.setTimeout(function() {

        // }, 5000);
    </script>
@endpush
