<?php
/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::group(['prefix'=>'data-warga','middleware'=>['auth:api']],function ()
{
	Route::get('/','Api\ApiDataWargaController@index');
	Route::get('/{id}','Api\ApiDataWargaController@show');
	Route::put('/{id}','Api\ApiDataWargaController@update');
	Route::delete('/{id}','Api\ApiDataWargaController@destroy');
	Route::post('/create','Api\ApiDataWargaController@store');

});

Route::group(['prefix'=>'kelurahan'],function ()
{
	Route::get('/','Api\ApiKelurahanController@index');

});

//Route::post('register','Api\ApiAuthController@register');
Route::post('login','Api\ApiAuthController@login');
Route::get('profil','Api\ApiAuthController@userProfil')->middleware('auth:api');
Route::put('profil/update','Api\ApiAuthController@updateProfil')->middleware('auth:api');
Route::get('user-session','Api\ApiAuthController@updateSession');

//chaart
Route::group(['prefix'=>'chart'],function ()
{
	Route::get('/get/{day}','Api\ApiChartController@getDataByDay');
	Route::get('/get/pie-rt/{id}','Api\ApiChartController@getPieRt');
	Route::get('/get/pie-kelurahan/{id}','Api\ApiChartController@getPieKelurahan');
    Route::get('/get/pie-kecamatan/{id}','Api\ApiChartController@getPieKecamatan');
});

Route::group(['prefix'=>'helper'],function ()
{
	Route::get('/statistik/{hari}','Api\ApiHelperController@statistik');
	Route::get('/galeri','Api\ApiHelperController@galeri');
});
